=== debian/control ===
Source: ros-iron-velodyne
Section: misc
Priority: optional
Maintainer: Josh Whitley <whitleysoftwareservices@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ros-workspace
Homepage: http://www.ros.org/wiki/velodyne
Standards-Version: 3.9.2

Package: ros-iron-velodyne
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-velodyne-driver, ros-iron-velodyne-laserscan, ros-iron-velodyne-msgs, ros-iron-velodyne-pointcloud, ros-iron-ros-workspace
Description: Basic ROS support for the Velodyne 3D LIDARs.
